#include <iostream>

using namespace std;

int main()
{
    int N;
    cin>>N;


    if (N<=10^100000&&N>=1)
        {
            int A[100],i=0;
            do
                {
                    A[i+1]=N%10;
                    N=N/10;

               } while (N>0);
            

        }

return 0;
}